--- old/usr/src/common/zfs/zfs_fletcher.h	Mon Oct  7 19:17:13 2013
+++ new/usr/src/common/zfs/zfs_fletcher.h	Mon Oct  7 19:17:13 2013
@@ -22,6 +22,9 @@
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
+/*
+ * Copyright 2013 Saso Kiselkov. All rights reserved.
+ */
 
 #ifndef	_ZFS_FLETCHER_H
 #define	_ZFS_FLETCHER_H
@@ -37,10 +40,14 @@
  * fletcher checksum functions
  */
 
-void fletcher_2_native(const void *, uint64_t, zio_cksum_t *);
-void fletcher_2_byteswap(const void *, uint64_t, zio_cksum_t *);
-void fletcher_4_native(const void *, uint64_t, zio_cksum_t *);
-void fletcher_4_byteswap(const void *, uint64_t, zio_cksum_t *);
+void fletcher_2_native(const void *, uint64_t, const zio_cksum_salt_t *,
+    const void *, zio_cksum_t *);
+void fletcher_2_byteswap(const void *, uint64_t, const zio_cksum_salt_t *,
+    const void *, zio_cksum_t *);
+void fletcher_4_native(const void *, uint64_t, const zio_cksum_salt_t *,
+    const void *, zio_cksum_t *);
+void fletcher_4_byteswap(const void *, uint64_t, const zio_cksum_salt_t *,
+    const void *, zio_cksum_t *);
 void fletcher_4_incremental_native(const void *, uint64_t,
     zio_cksum_t *);
 void fletcher_4_incremental_byteswap(const void *, uint64_t,
